<?php
/*
Plugin Name: Yaga Blog Post
Plugin URI: http://www.ohmybox.info
Description: Affiche le dernier billet publié par les blogueurs de Yaga
Version: 1.0
Author: Laurence/OhMyBox.info
Author URI: http://www.ohmybox.info
Text domain: yaga_blog_post
Domain Path: /languages/
License: GPL2
Yaga Posts is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
Simple Long Form  is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
*/
defined( 'ABSPATH' ) or die( 'Tsssssttttt!' );
function yaga_blog_post_init() {
 load_plugin_textdomain( 'yaga_blog_post', false, dirname( plugin_basename(__FILE__) ) . '/languages/' );
}
add_action('init', 'yaga_blog_post_init');



class yaga_blog_post_widget extends WP_Widget {
    function yaga_blog_post_widget() {
        parent::__construct(false, $name = 'Yaga Blog Post', array('description' => 'Affiche le dernier billet publié par les blogueurs de Yaga.'));
    }

	function widget($args, $instance) { ?>


	<div id="yaga-widget">
	
	<div id="yaga_now">MAINTENANT SUR YAGA BURUNDI</div>
		
		<div id="yaga_logo">
		<?php
			$logo = plugin_dir_url( __FILE__ ) . 'logo_yaga.jpg'; ?>
			<img src="<?php echo $logo; ?>" alt="Yaga Burundi">
		</div>
		
		<div id="yaga_content">
		<?php include_once( ABSPATH . WPINC . '/feed.php' );
			  $rss = fetch_feed( 'http://yaga-burundi.com/feed/' );
			
				if ( ! is_wp_error( $rss ) ) :
					$maxitems = $rss->get_item_quantity( 1 ); 
					$rss_items = $rss->get_items( 0, $maxitems );
				endif;
						
				foreach ( $rss_items as $item ) : ?>
					<h3> <a href="<?php echo esc_url( $item->get_permalink() ); ?>" target="_blank" title="<?php echo esc_html( $item->get_title() ); ?>">
					<?php echo esc_html( $item->get_title() ); ?></a></h3>
					<?php include('description.php'); ?>
				<?php endforeach; ?>
				
				<div id="yaga_button_pos">
					<a href="<?php echo esc_url( $item->get_permalink() ); ?>" target="_blank" title="<?php echo esc_html( $item->get_title() ); ?>">
					<button id="yaga_button">Lire le billet</button></a>
				</div>
			</div>
			<div style="clear:both;height:6px;"></div>
	</div>
<?php }
	function form($instance) { ?>
		<h4>Affiche le dernier billet publié par les blogueurs de YAGA-Burundi.</h4>
        <?php       
	}
}
add_action('widgets_init', 'register_yaga_blog_post_widget');


function register_yaga_blog_post_widget() {
    register_widget('yaga_blog_post_widget');
}

function high_priority_style() {
  wp_enqueue_style( 'yaga-style',  plugins_url( '/style.css', __FILE__ ) );
  wp_enqueue_style( 'OpenSans', 'https://fonts.googleapis.com/css?family=Open+Sans:400,700' );
}
add_action('wp_enqueue_scripts', 'high_priority_style', '999')

?>